Date: Tuesday, March 6, 2018 @ 19:39:10
  Author: andyrtr
Revision: 317940

archrelease: copy trunk to testing-x86_64

Added:
  cups-filters/repos/testing-x86_64/
  cups-filters/repos/testing-x86_64/PKGBUILD
    (from rev 317939, cups-filters/trunk/PKGBUILD)

----------+
 PKGBUILD |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

Copied: cups-filters/repos/testing-x86_64/PKGBUILD (from rev 317939, 
cups-filters/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD                             (rev 0)
+++ testing-x86_64/PKGBUILD     2018-03-06 19:39:10 UTC (rev 317940)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Andreas Radke <andy...@archlinux.org>
+
+pkgname=cups-filters
+pkgver=1.20.1
+pkgrel=2
+pkgdesc="OpenPrinting CUPS Filters"
+arch=('x86_64')
+url="https://wiki.linuxfoundation.org/openprinting/cups-filters";
+license=('custom')
+depends=('lcms2' 'poppler' 'qpdf' 'imagemagick' 'liblouis' 'ijs' 
'libcups>=2.2.6-2' 'systemd')
+makedepends=('ghostscript' 'ttf-dejavu' 'python' 'mupdf-tools') # ttf-dejavu 
for make check
+optdepends=('ghostscript: for non-PostScript printers to print with CUPS to 
convert PostScript to raster images'
+           'foomatic-db: drivers use Ghostscript to convert PostScript to a 
printable form directly'
+           'foomatic-db-engine: drivers use Ghostscript to convert PostScript 
to a printable form directly'
+           'foomatic-db-nonfree: drivers use Ghostscript to convert PostScript 
to a printable form directly'
+           'antiword: needed to convert MS Word documents (requires also 
docx2txt (AUR)')
+backup=(etc/cups/cups-browsed.conf)
+source=(https://www.openprinting.org/download/cups-filters/$pkgname-$pkgver.tar.xz)
+sha256sums=('b36b58f8d4d776d337f22b7b89794afbce6fd10e8e9066a89591d8f2210f3d62')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr  \
+    --sysconfdir=/etc \
+    --sbindir=/usr/bin \
+    --localstatedir=/var \
+    --with-rcdir=no \
+    --enable-avahi \
+    --with-browseremoteprotocols=DNSSD,CUPS \
+    --enable-auto-setup-driverless \
+    --with-test-font-path=/usr/share/fonts/TTF/DejaVuSans.ttf
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir/" install
+  
+  # add upstream systemd support file
+  install -Dm644 utils/cups-browsed.service 
${pkgdir}/usr/lib/systemd/system/cups-browsed.service
+  sed -i "s|/usr/sbin/cups-browsed|/usr/bin/cups-browsed|" 
${pkgdir}/usr/lib/systemd/system/cups-browsed.service
+  sed -i "s|cups.service|org.cups.cupsd.service|g" 
${pkgdir}/usr/lib/systemd/system/cups-browsed.service
+  
+  # use cups group from cups pkg FS#56818
+  chgrp -R 209 ${pkgdir}/etc/cups
+
+  # license
+  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
+  install -m644 "${srcdir}"/${pkgname}-${pkgver}/COPYING 
"${pkgdir}"/usr/share/licenses/${pkgname}/
+}

Reply via email to